//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tClientServices complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tClientServices"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TimeSyncProt" type="{http://www.iec.ch/61850/2003/SCL}tTimeSyncProt" minOccurs="0"/&gt;
 *         &lt;element name="GOOSEMcSecurity" type="{http://www.iec.ch/61850/2003/SCL}tMcSecurity" minOccurs="0"/&gt;
 *         &lt;element name="SVMcSecurity" type="{http://www.iec.ch/61850/2003/SCL}tMcSecurity" minOccurs="0"/&gt;
 *         &lt;element name="Security" type="{http://www.iec.ch/61850/2003/SCL}tSecurity" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="goose" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="gsse" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="bufReport" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="unbufReport" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="readLog" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="sv" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="supportsLdName" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="maxAttributes"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *       &lt;attribute name="maxReports"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *       &lt;attribute name="maxGOOSE"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *       &lt;attribute name="maxSMV"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt"&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *       &lt;attribute name="rGOOSE" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="rSV" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="noIctBinding" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="acceptServerInitiatedAssociation" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tClientServices", propOrder = {
    "timeSyncProt",
    "gooseMcSecurity",
    "svMcSecurity",
    "security"
})
public class TClientServices {

    @XmlElement(name = "TimeSyncProt")
    protected TTimeSyncProt timeSyncProt;
    @XmlElement(name = "GOOSEMcSecurity")
    protected TMcSecurity gooseMcSecurity;
    @XmlElement(name = "SVMcSecurity")
    protected TMcSecurity svMcSecurity;
    @XmlElement(name = "Security")
    protected TSecurity security;
    @XmlAttribute(name = "goose")
    protected Boolean goose;
    @XmlAttribute(name = "gsse")
    protected Boolean gsse;
    @XmlAttribute(name = "bufReport")
    protected Boolean bufReport;
    @XmlAttribute(name = "unbufReport")
    protected Boolean unbufReport;
    @XmlAttribute(name = "readLog")
    protected Boolean readLog;
    @XmlAttribute(name = "sv")
    protected Boolean sv;
    @XmlAttribute(name = "supportsLdName")
    protected Boolean supportsLdName;
    @XmlAttribute(name = "maxAttributes")
    protected Long maxAttributes;
    @XmlAttribute(name = "maxReports")
    protected Long maxReports;
    @XmlAttribute(name = "maxGOOSE")
    protected Long maxGOOSE;
    @XmlAttribute(name = "maxSMV")
    protected Long maxSMV;
    @XmlAttribute(name = "rGOOSE")
    protected Boolean rgoose;
    @XmlAttribute(name = "rSV")
    protected Boolean rsv;
    @XmlAttribute(name = "noIctBinding")
    protected Boolean noIctBinding;
    @XmlAttribute(name = "acceptServerInitiatedAssociation")
    protected Boolean acceptServerInitiatedAssociation;

    /**
     * 获取timeSyncProt属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TTimeSyncProt }
     *     
     */
    public TTimeSyncProt getTimeSyncProt() {
        return timeSyncProt;
    }

    /**
     * 设置timeSyncProt属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TTimeSyncProt }
     *     
     */
    public void setTimeSyncProt(TTimeSyncProt value) {
        this.timeSyncProt = value;
    }

    /**
     * 获取gooseMcSecurity属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TMcSecurity }
     *     
     */
    public TMcSecurity getGOOSEMcSecurity() {
        return gooseMcSecurity;
    }

    /**
     * 设置gooseMcSecurity属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TMcSecurity }
     *     
     */
    public void setGOOSEMcSecurity(TMcSecurity value) {
        this.gooseMcSecurity = value;
    }

    /**
     * 获取svMcSecurity属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TMcSecurity }
     *     
     */
    public TMcSecurity getSVMcSecurity() {
        return svMcSecurity;
    }

    /**
     * 设置svMcSecurity属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TMcSecurity }
     *     
     */
    public void setSVMcSecurity(TMcSecurity value) {
        this.svMcSecurity = value;
    }

    /**
     * 获取security属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TSecurity }
     *     
     */
    public TSecurity getSecurity() {
        return security;
    }

    /**
     * 设置security属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TSecurity }
     *     
     */
    public void setSecurity(TSecurity value) {
        this.security = value;
    }

    /**
     * 获取goose属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isGoose() {
        if (goose == null) {
            return false;
        } else {
            return goose;
        }
    }

    /**
     * 设置goose属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setGoose(Boolean value) {
        this.goose = value;
    }

    /**
     * 获取gsse属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isGsse() {
        if (gsse == null) {
            return false;
        } else {
            return gsse;
        }
    }

    /**
     * 设置gsse属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setGsse(Boolean value) {
        this.gsse = value;
    }

    /**
     * 获取bufReport属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isBufReport() {
        if (bufReport == null) {
            return false;
        } else {
            return bufReport;
        }
    }

    /**
     * 设置bufReport属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBufReport(Boolean value) {
        this.bufReport = value;
    }

    /**
     * 获取unbufReport属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isUnbufReport() {
        if (unbufReport == null) {
            return false;
        } else {
            return unbufReport;
        }
    }

    /**
     * 设置unbufReport属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setUnbufReport(Boolean value) {
        this.unbufReport = value;
    }

    /**
     * 获取readLog属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isReadLog() {
        if (readLog == null) {
            return false;
        } else {
            return readLog;
        }
    }

    /**
     * 设置readLog属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setReadLog(Boolean value) {
        this.readLog = value;
    }

    /**
     * 获取sv属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSv() {
        if (sv == null) {
            return false;
        } else {
            return sv;
        }
    }

    /**
     * 设置sv属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSv(Boolean value) {
        this.sv = value;
    }

    /**
     * 获取supportsLdName属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSupportsLdName() {
        if (supportsLdName == null) {
            return false;
        } else {
            return supportsLdName;
        }
    }

    /**
     * 设置supportsLdName属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSupportsLdName(Boolean value) {
        this.supportsLdName = value;
    }

    /**
     * 获取maxAttributes属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxAttributes() {
        return maxAttributes;
    }

    /**
     * 设置maxAttributes属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxAttributes(Long value) {
        this.maxAttributes = value;
    }

    /**
     * 获取maxReports属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxReports() {
        return maxReports;
    }

    /**
     * 设置maxReports属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxReports(Long value) {
        this.maxReports = value;
    }

    /**
     * 获取maxGOOSE属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxGOOSE() {
        return maxGOOSE;
    }

    /**
     * 设置maxGOOSE属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxGOOSE(Long value) {
        this.maxGOOSE = value;
    }

    /**
     * 获取maxSMV属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getMaxSMV() {
        return maxSMV;
    }

    /**
     * 设置maxSMV属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setMaxSMV(Long value) {
        this.maxSMV = value;
    }

    /**
     * 获取rgoose属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isRGOOSE() {
        if (rgoose == null) {
            return false;
        } else {
            return rgoose;
        }
    }

    /**
     * 设置rgoose属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRGOOSE(Boolean value) {
        this.rgoose = value;
    }

    /**
     * 获取rsv属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isRSV() {
        if (rsv == null) {
            return false;
        } else {
            return rsv;
        }
    }

    /**
     * 设置rsv属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRSV(Boolean value) {
        this.rsv = value;
    }

    /**
     * 获取noIctBinding属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isNoIctBinding() {
        if (noIctBinding == null) {
            return false;
        } else {
            return noIctBinding;
        }
    }

    /**
     * 设置noIctBinding属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNoIctBinding(Boolean value) {
        this.noIctBinding = value;
    }

    /**
     * 获取acceptServerInitiatedAssociation属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isAcceptServerInitiatedAssociation() {
        if (acceptServerInitiatedAssociation == null) {
            return false;
        } else {
            return acceptServerInitiatedAssociation;
        }
    }

    /**
     * 设置acceptServerInitiatedAssociation属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAcceptServerInitiatedAssociation(Boolean value) {
        this.acceptServerInitiatedAssociation = value;
    }

}
